<p align="center">
<img src="https://github.com/ludouzi/fooyin/assets/45490980/a6c6923a-5de3-4d29-a6e9-f73ebd5181ac" width="40%" alt="fooyin logo">
</p>

<hr />

<p align="center" style="font-size: 18px;">
<a href="https://github.com/ludouzi/fooyin/actions/workflows/build.yml"><img src="https://github.com/ludouzi/fooyin/actions/workflows/build.yml/badge.svg" alt="Build status"></a>
<a href="https://app.codacy.com/gh/ludouzi/fooyin/dashboard?utm_source=gh&utm_medium=referral&utm_content=&utm_campaign=Badge_grade"><img src="https://app.codacy.com/project/badge/Grade/ae0c3e9825d849b0b64697e59e4dfea6" alt="Code quality"></a>
<a href="https://repology.org/project/fooyin/versions"><img src="https://repology.org/badge/tiny-repos/fooyin.svg" alt="Packaging status"></a>
</p>

<hr />

## A customisable music player

fooyin is a music player built around customisation. It offers a growing list of widgets to manage and play your local music
collection. It's extendable through the use of plugins and many widgets make use of *FooScript* to offer an even deeper level of control.

Audio playback is supported by FFmpeg alongside multiple options for output including ALSA and PipeWire, with more to come.

A *layout editing mode* enables the entire user interface to be customised,
starting from a blank slate or a preset layout.

| ![Simple](https://raw.githubusercontent.com/ludouzi/fooyin/master/data/images/simple-dark.png)     | ![Browser](https://raw.githubusercontent.com/ludouzi/fooyin/master/data/images/browser-dark.png) |
|----------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------|
| ![Obsidian](https://raw.githubusercontent.com/ludouzi/fooyin/master/data/images/obsidian-dark.png) | ![Wave](https://raw.githubusercontent.com/ludouzi/fooyin/master/data/images/viewer-dark.png)     |

Only Linux is supported at present, though support for other platforms is coming soon.

## Features

* [x] Customisable layout
* [x] Gapless playback
* [x] Filter library on any field(s)
* [x] Create and manage playlists
* [x] Extend through plugins
* [x] Tag editor
* [x] Directory browser
* [x] Waveform seekbar
* [x] MPRIS support

### Roadmap

See [ROADMAP.md](ROADMAP.md) to learn about fooyin's planned features.

## Building from source

See [BUILD.md](BUILD.md) for details.

## Translations

You can contribute to translations on [Hosted Weblate](https://hosted.weblate.org/projects/fooyin/),
an open source and web-based translation platform.
